:root {
  --primary-color: #08944e;
  --secondary-color: #c4a50d;
  --dark-color: #111111;
  --light-color: #ffffff;
  --sucess-color: #5cb85c;
  --error-color: #d9534f;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  -webkit-font-smoothing: antialiased;
}
html {
  font-size: 62.5%;
  line-height: 1.4;
  scroll-behavior: smooth;
  transition: all 0.3s ease-in-out;
}

body {
  background-color: #f5fffa;
  color: #000;
  overflow-x: hidden;
  font-family: "Didact Gothic", sans-serif;
  font-weight: normal;
  list-style: 1.4;
  font-size: 1.8rem;
  height: 100vh;
  min-height: 100vh;
}
.cursor {
  width: 20px;
  height: 20px;
  border: 4px solid var(--primary-color);
  border-radius: 50%;
  position: absolute;
  transition: 150ms;
  z-index: -1;
  transition-timing-function: ease-out;
  -webkit-animation: heartbeat 1.5s ease-in-out infinite both;
  animation: heartbeat 1.5s ease-in-out infinite both;
}
.expand {
  border: 5px solid #c4a50d;
  -webkit-animation: heartbeat 1.5s ease-in-out infinite both;
  animation: heartbeat 1.5s ease-in-out infinite both;
}
.logos img {
  -webkit-animation: wobble-hor-bottom 5s ease-in-out infinite forwards;
  animation: wobble-hor-bottom 5s ease-in-out infinite forwards;
}

@-webkit-keyframes wobble-hor-bottom {
  0%,
  100% {
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
    -webkit-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
  }
  15% {
    -webkit-transform: translateX(-30px) rotate(-6deg);
    transform: translateX(-30px) rotate(-6deg);
  }
  30% {
    -webkit-transform: translateX(15px) rotate(6deg);
    transform: translateX(15px) rotate(6deg);
  }
  45% {
    -webkit-transform: translateX(-15px) rotate(-3.6deg);
    transform: translateX(-15px) rotate(-3.6deg);
  }
  60% {
    -webkit-transform: translateX(9px) rotate(2.4deg);
    transform: translateX(9px) rotate(2.4deg);
  }
  75% {
    -webkit-transform: translateX(-6px) rotate(-1.2deg);
    transform: translateX(-6px) rotate(-1.2deg);
  }
}
@keyframes wobble-hor-bottom {
  0%,
  100% {
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
    -webkit-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
  }
  15% {
    -webkit-transform: translateX(-30px) rotate(-6deg);
    transform: translateX(-30px) rotate(-6deg);
  }
  30% {
    -webkit-transform: translateX(15px) rotate(6deg);
    transform: translateX(15px) rotate(6deg);
  }
  45% {
    -webkit-transform: translateX(-15px) rotate(-3.6deg);
    transform: translateX(-15px) rotate(-3.6deg);
  }
  60% {
    -webkit-transform: translateX(9px) rotate(2.4deg);
    transform: translateX(9px) rotate(2.4deg);
  }
  75% {
    -webkit-transform: translateX(-6px) rotate(-1.2deg);
    transform: translateX(-6px) rotate(-1.2deg);
  }
}

h3 {
  font-family: "Nunito Sans", sans-serif;
  font-weight: bold;
  font-size: 3.6rem;
  padding-bottom: 1rem;
  display: inline-block;
  text-align: center;
}
ul {
  list-style: none;
}
a {
  text-decoration: none;
  color: var(--light-color);
}
img {
  max-width: 100%;
}

/* basic reset ends!!! */

.donate-btn {
  margin-left: 5rem;
}

.nav-links li:not(:last-child):hover:after {
  transition: width 1s;
  width: 100%;
}
.nav-links li:after {
  display: block;
  content: "";
  height: 2px;
  background: var(--secondary-color);
  width: 0px;
}
/* navbar */

nav {
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 8.5rem;
  background-color: var(--dark-color);
  z-index: 999;
}
.logo img {
  width: 90%;
}

.nav-links {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 70%;
}

.burger {
  display: none;
}

.burger div {
  width: 25px;
  height: 3px;
  background-color: rgb(226, 226, 226);
  margin: 5px;
  transition: all 0.3s ease;
}

.hero-section {
  height: 95vh;
  background-image: url(../images/blue-mosque-istanbul-min.jpg);
  overflow: hidden;
  filter: drop-shadow(0 0 10px white);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  overflow: hidden;
}
.hero-section .qoutes {
  text-align: center;
  color: #fff;
  width: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.qoutes h3 {
  font-size: 3.2rem;
  font-weight: normal;
  font-family: "Didact Gothic", sans-serif;
}
.qoutes .read-btn {
  margin-top: 4.5rem;
  background-color: var(--secondary-color);
}
.audio-card {
  height: 9rem;
  width: 100%;
  gap: 10px;
  position: relative;
}
audio {
  width: 75%;
}

/* mission */
.mission-text h3 {
  font-size: 3.6rem;
}
.title {
  background: var(--secondary-color);
  width: 100%;
}
/* services area */

/* service area ends */
/* blog-card */
.blog-container .blog-card {
  padding: 0;
  gap: 0;
}
.img {
  overflow: hidden;
}
.card-img img {
  width: 100%;
  height: 350px;
}
.blog-card h6 {
  margin-bottom: 0.5rem;
}
.blog-heading {
  padding: 1.5rem;
}
.read-more a {
  font-size: 2rem;
  color: var(--primary-color);
  padding-top: 1rem;
  display: inline-block;
  transition: all 0.2s ease;
}
.read-more a:hover {
  color: var(--secondary-color);
}
.blog-paragraph {
  padding: 1rem 0 1rem 0;
}
.blog-heading .dates {
  color: var(--primary-color);
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  font-size: 1.4rem;
  gap: 0.5rem;
}
.our-app {
  background: linear-gradient(
      0deg,
      rgba(8, 148, 78, 0.7),
      rgba(8, 148, 78, 0.7)
    ),
    url(/images/footerbg.jpg);
  background-position: center;
  background-repeat: no-repeat;
}
.our-app {
  padding: 5rem;
}
.app-text span {
  background: -webkit-linear-gradient(#fff, #c4a50d);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: bolder;
}
.mx-btn img {
  margin-top: 4.54rem;
  -webkit-animation: heartbeat 1.5s ease-in-out infinite both;
  animation: heartbeat 1.5s ease-in-out infinite both;
}
.app-btn {
  -webkit-animation: heartbeat 1.5s ease-in-out infinite both;
  animation: heartbeat 1.5s ease-in-out infinite both;
}
.app-text h4 {
  margin-bottom: 3rem;
}
.event-card {
  width: 40%;
  margin: 0 auto;
}
/* quran-blog */
.quran-blog {
  margin-bottom: 3rem;
}
.quran-blog p {
  margin: 3rem 0;
  line-height: 1.6;
}
.quran-blog ol li {
  margin-bottom: 1rem;
  color: var(--primary-color);
}
/* our team */
.our-team .post {
  color: var(--primary-color);
}
.team-card {
  margin-top: 5rem;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #2c2c2c;
  min-width: 16rem;
  z-index: 1;
  border-radius: 0 0 0.5rem 0.5rem;
}

.dropdown-content a {
  color: #fff;
  padding: 1.2rem 1.6rem;
  text-decoration: none;
  display: block;
  border-radius: 0.5rem;
}

.dropdown-content a:hover {
  background-color: #f7fffb;
  color: #000;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown:hover .dropbtn {
  background-color: #232222;
}

/* footer start */
footer {
  color: var(--dark-color);
  padding: 5rem 3rem 3rem 3rem;
  background: url(/images/footerbg.jpg);
  background-position: center;
  background-repeat: no-repeat;
}
.footer-logo .logo {
  margin-bottom: 1.5rem;
}
.footer-logo p {
  margin-bottom: 1.5rem;
}

footer .social-media .fab {
  font-size: 2.6rem;
  padding-right: 1.5rem;
  color: var(--dark-color);
  will-change: transform;
  transition: transform 2s ease;
  margin-top: 1.5rem;
}
.social-media .fab:hover {
  transition: transform 125ms;
  transform: translateY(-10px);
}
.quick-links,
.footer-app,
.quick-contact {
  margin-top: 6.8rem;
}
.quick-links h5,
.footer-app h5,
.quick-contact h5 {
  margin-bottom: 1.5rem;
}
.footer-app p {
  padding-bottom: 1.5rem;
}
.quick-links a {
  color: var(--dark-color);
  transition: transform 2s ease;
}
.quick-links a:hover {
  font-weight: 800;
}
.quick-links ul li {
  padding-bottom: 1.5rem;
}
.form-control {
  margin: 10px 0;
}
*::-webkit-input-placeholder {
  color: #000;
}
.footer-form input[type="text"],
.footer-form input[type="email"],
.footer-form textarea[type="message"] {
  border: 0;
  border: 1px solid var(--dark-color);
  width: 100%;
  font-size: 16px;
  outline: none;
  background-color: transparent;
  padding: 0.5rem;
}

.footer-form .btn {
  width: 100%;
  background-color: var(--dark-color);
}
.footer-form textarea {
  overflow: hidden;
  width: 100%;
  border: 0;
  border: 1px solid var(--dark-color);
  padding: 3px;
  font-size: 16px;
  outline: none;
  background-color: transparent;
}

textarea {
  resize: none;
}
.ourApp {
  margin-top: 15rem;
}
.app-details h1 {
  color: var(--primary-color);
  margin-bottom: 3rem;
  font-weight: bolder;
  font-size: 3.6rem;
}
.app-details ul li {
  padding-bottom: 1.5rem;
}
.app-details .btn {
  margin-top: 3rem;
}
.features-con h5 {
  margin-top: 1.5rem;
}
.green {
  columns: var(--primary-color);
}

/* Quotes section */
.quotes-title {
  background: url(/images/background.png);
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2rem;
  height: 30vh;
  margin-bottom: 3rem;
}
.quotes-title h6 {
  margin-bottom: 3rem;
  color: #fff;
}
.quotes ol {
  color: var(--primary-color);
}
.quotes ol li p {
  padding: 1rem 0;
  color: var(--primary-color);
  font-size: 1.8rem;
  line-height: 1.6;
}
.quotes {
  padding-bottom: 3rem;
}
.footer-logo .logo img {
  width: 60%;
}

/* CONTACT SECTION 🥱 */
section.contact {
  margin: 12rem 0 0 0;
}
.contact-img {
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.contact-social a {
  color: #000;
}
.contact-form {
  margin-top: 3rem;
}

.contact-form input[type="text"],
.contact-form input[type="email"],
.contact-form input[type="tel"],
.contact-form textarea[type="message"] {
  border: 1px solid #c0f7d5;
  width: 100%;
  font-size: 1.4rem;
  outline: none;
  background-color: transparent;
  padding: 0.5rem;
  border-radius: 0.5rem;
}
.contact-form textarea {
  overflow: auto;
  width: 100%;
  border: 1px solid #c0f7d5;
  padding: 0.5rem;
  font-size: 1.4rem;
  outline: none;
  background-color: transparent;
  border-radius: 0.5rem;
}
.contact-form input::placeholder {
  padding: 0.5rem;
  font-size: 1.4rem;
  color: gray;
}
.contact-form textarea::placeholder {
  padding: 0.5rem;
  font-size: 1.4rem;
  color: gray;
}
section.contact-details {
  margin: 8rem 0 8rem 0;
}
.social .fab {
  color: #000;
}
.contact-details .location h2,
.contact-details .mail h2,
.contact-details .social h2 {
  margin-bottom: 1rem;
}
.contact-details .location:hover {
  background-color: var(--secondary-color);
}
.contact-details .mail:hover {
  background-color: var(--dark-color);
  color: #fff;
}
.contact-details .social a {
  padding-right: 1rem;
  font-size: 2.4rem;
}
.contact-details .social:hover {
  background-color: var(--primary-color);
}
/* CONTACT SECTION ENDS */

/* SECTION ABOUT */
section.about {
  padding-bottom: 8rem;
  padding-top: 8rem;
}

section.testimonial {
  margin-top: 12rem;
}
.slider {
  margin-top: 8rem;
  width: 50%;
  margin: 0 auto;
  padding: 2rem;
}

.slide img {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 1rem;
}
span.name {
  color: #08944e;
  margin-top: 0.5rem;
}
.slider .slide {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 8rem;
}
.slider .slide p {
  margin-bottom: 0.5rem;
  color: var(--dark-color);
  font-size: 2rem;
}

.checked {
  color: #c4a50d;
}
section.testimonial .container.review .slider-dots .slick-dots {
  list-style-type: none;
  display: flex !important;
  justify-content: center;
}
section.testimonial .container.review .slider-dots {
  margin-top: 1.5rem;
}
section.testimonial .container.review .slider-dots button {
  font-size: 0;
  width: 12px;
  height: 8px;
  margin-right: 0.5rem;
  border: none;
  outline: none;
  background: rgb(160, 231, 181);
  border-radius: 50px;
  cursor: pointer;
}
.container.review .slider-dots li.slick-active button {
  background: var(--primary-color);
  width: 32px;
}
section.work {
  background: var(--dark-color);
}
.team-card {
  width: 35rem;
  height: 100%;
  text-align: center;
  margin-bottom: 8rem;
}
.team-card img {
  border-radius: 2rem;
}
@media screen and (max-width: 1024px) {
  .nav-links {
    width: 80%;
  }
}

@media screen and (max-width: 768px) {
  .nav-links {
    position: fixed;
    right: 0px;
    height: 92vh;
    top: 8vh;
    background-color: #2c2c2c;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 50%;
    transform: translateX(100%);
    transition: transform 0.5s ease-in;
  }
  .audio-card {
    flex-direction: column;
    gap: 0;
  }
  .nav-links li {
    opacity: 0;
  }

  .burger {
    display: block;
    cursor: pointer;
  }
  .donate-btn {
    margin-left: 0rem;
  }
  .my {
    margin-top: 10rem;
  }
  .grid,
  .our-mission .grid,
  .area .grid-3,
  .current-appeals .grid,
  .blog .grid,
  .blogs .grid,
  .our-app .grid,
  .footer .grid-4,
  .ourApp .grid,
  .app-features .grid-4,
  .contact .grid,
  .contact-details .grid-3,
  .about .grid {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    text-align: center;
  }
  .blog-heading .dates {
    gap: 0.5rem;
    align-self: flex-start;
  }
  .subscribe .card {
    flex-direction: column;
  }

  .nav-active {
    transform: translateX(0%);
  }
  .quick-links,
  .footer-app,
  .quick-contact {
    margin-top: 0;
  }

  @keyframes navLinkFade {
    from {
      opacity: 0;
      transform: translateX(50px);
    }
    to {
      opacity: 1;
      transform: translateX(0);
    }
  }

  .toggle .line1 {
    transform: rotate(-45deg) translate(-5px, 6px);
  }

  .toggle .line2 {
    opacity: 0;
  }

  .toggle .line3 {
    transform: rotate(45deg) translate(-5px, -6px);
  }
  .event-card {
    width: 100%;
  }
  .event-card h5 {
    padding: 2rem;
  }
  .slider {
    width: 100%;
  }
}
/* media query for fonts */

@media (max-width: 1024px) {
  html {
    font-size: 55%;
  }
}
@media (max-width: 768px) {
  html {
    font-size: 50%;
  }
}

/*animations*/

@-webkit-keyframes heartbeat {
  from {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transform-origin: center center;
    transform-origin: center center;
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
  10% {
    -webkit-transform: scale(0.91);
    transform: scale(0.91);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }
  17% {
    -webkit-transform: scale(0.98);
    transform: scale(0.98);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
  33% {
    -webkit-transform: scale(0.87);
    transform: scale(0.87);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }
  45% {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
}
@keyframes heartbeat {
  from {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transform-origin: center center;
    transform-origin: center center;
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
  10% {
    -webkit-transform: scale(0.91);
    transform: scale(0.91);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }
  17% {
    -webkit-transform: scale(0.98);
    transform: scale(0.98);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
  33% {
    -webkit-transform: scale(0.87);
    transform: scale(0.87);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }
  45% {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
}
